GENPHY_READ_STATUS(9)

NAME
genphy_read_status - check the link status and update current link state

SYNOPSIS

int genphy_read_status(struct phy_device * phydev);

ARGUMENTS

phydev
    target phy_device struct

DESCRIPTION

Check the link, then figure out the current state by comparing what we advertise with what the link partner advertises. Start by checking the gigabit possibilities, then move on to 10/100.

COPYRIGHT